import 'package:abg_utils/abg_utils.dart';

final List<Stat> _stat = [];
int _allCount = 0;
int _allCountCache = 0;

addStat(String source, int count, {bool cache = false}){
  _stat.add(Stat(source, count));
  if (cache)
    _allCountCache += count;
  else
    _allCount += count;

  _debugStat();
}
_debugStat(){
  dprint("======================= Firebase Statistics =======================");
  for (var item in _stat)
    dprint("source: ${item.source}, count: ${item.count}");

  double p1 = (_allCount+_allCountCache)/100;

  dprint("all count=$_allCount from cache=$_allCountCache (${_allCountCache/p1}%)");
  dprint("======================= Firebase Statistics End =======================");
}

class Stat{
  final String source;
  final int count;
  Stat(this.source, this.count);
}
